{
  "accUserMode" : 2,
  "caption" : "书实体编辑视图（测试多数据部件）",
  "codeName" : "bookUsr0526356960EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr0526356960EditView.json",
  "name" : "bookUsr0526356960EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr0526356960EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "书实体编辑视图（测试多数据部件）_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "form",
    "modelid" : "C3D62E3D-C25B-4AC4-BBDD-F90660EB710F",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr0526356960EditView_Form",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Usr0526356960EditView_Form.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "logicName" : "书实体编辑视图（测试多数据部件）_表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItemUpdates" : [ {
      "codeName" : "updateMdctrl1",
      "name" : "更新mdctrl1",
      "getPSDEFIUpdateDetails" : [ {
        "name" : "mdctrl1"
      } ],
      "scriptCode" : "return {\r\n    mdctrl1: new Date().toString(),\r\n}",
      "customCode" : true
    } ],
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "bookname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "bookid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "书基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "书名称",
          "codeName" : "bookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "bookname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BOOKNAME",
            "codeName" : "BookName"
          },
          "getPSDEFormItemUpdate" : {
            "modelref" : true,
            "id" : "updateMdctrl1"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "bookname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "actionGroupExtractMode" : "ITEM",
          "buildInActions" : 7,
          "caption" : "测试多数据部件(表单)",
          "codeName" : "mdctrl1",
          "getContentPSControl" : {
            "codeName" : "Main",
            "controlType" : "FORM",
            "getCreatePSControlAction" : {
              "modelref" : true,
              "id" : "create",
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "defaultLabelWidth" : 130,
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Main.json",
            "getGetDraftFromPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraftfrom",
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetDraftPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraft",
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetPSControlAction" : {
              "modelref" : true,
              "id" : "load",
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "logicName" : "主编辑表单",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GETDRAFTFROM",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraftfrom",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "enableDEFieldPrivilege" : false,
              "id" : "编辑表单处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true
            },
            "getPSDEFormItemUpdates" : [ {
              "codeName" : "ceshi1",
              "name" : "表单项更新(不显示)",
              "getPSDEFIUpdateDetails" : [ {
                "name" : "testname"
              } ],
              "scriptCode" : "return {\r\n    testname: '测试1'\r\n}",
              "customCode" : true
            }, {
              "codeName" : "ceshi2",
              "name" : "表单项更新2",
              "getPSDEFIUpdateDetails" : [ {
                "name" : "testname"
              } ],
              "scriptCode" : "return {\r\n    testname: '测试2'\r\n}",
              "customCode" : true,
              "showBusyIndicator" : false
            }, {
              "codeName" : "ceshi3",
              "name" : "ceshi3",
              "customCode" : true
            } ],
            "getPSDEFormItems" : [ {
              "id" : "srfupdatedate",
              "hidden" : true,
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "id" : "srforikey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfkey",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "id" : "srfmajortext",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "srftempmode",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfuf",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfdeid",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfsourcekey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "testname",
              "dataType" : 25,
              "createDV" : "新建默认值",
              "updateDV" : "testname",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "type",
              "dataType" : 25,
              "createDV" : "A",
              "updateDV" : "B",
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              }
            }, {
              "id" : "field17",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD17",
                "codeName" : "FIELD17"
              }
            }, {
              "id" : "field23",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD23",
                "codeName" : "FIELD23"
              }
            }, {
              "id" : "amount",
              "dataType" : 6,
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              }
            }, {
              "id" : "float",
              "dataType" : 7,
              "getPSAppDEField" : {
                "name" : "FLOAT",
                "codeName" : "Float"
              }
            }, {
              "id" : "precision",
              "dataType" : 7,
              "getPSAppDEField" : {
                "name" : "FLOAT",
                "codeName" : "Float"
              }
            }, {
              "id" : "formitem1",
              "dataType" : 25
            }, {
              "id" : "field",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              }
            }, {
              "id" : "formitem4",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD10",
                "codeName" : "Field10"
              }
            }, {
              "id" : "formitem5",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD11",
                "codeName" : "Field11"
              }
            }, {
              "id" : "field8",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD8",
                "codeName" : "Field8"
              }
            }, {
              "id" : "field11",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD11",
                "codeName" : "Field11"
              }
            }, {
              "id" : "field12",
              "dataType" : 25
            }, {
              "id" : "field3",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD3",
                "codeName" : "Field3"
              }
            }, {
              "id" : "field4",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD4",
                "codeName" : "Field4"
              }
            }, {
              "id" : "field5",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD5",
                "codeName" : "Field5"
              }
            }, {
              "id" : "number1",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "NUMBER1",
                "codeName" : "Number1"
              }
            }, {
              "id" : "number4",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "NUMBER4",
                "codeName" : "Number4"
              }
            }, {
              "id" : "updateman",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              }
            }, {
              "id" : "updatedate",
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "id" : "createdate",
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              }
            }, {
              "id" : "createman",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "CREATEMAN",
                "codeName" : "CreateMan"
              }
            }, {
              "id" : "formitem",
              "dataType" : 25
            }, {
              "id" : "formitem2",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              }
            }, {
              "id" : "formitem3",
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "id" : "testid",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            } ],
            "getPSDEFormPages" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMPAGE.FORMPAGE1"
              },
              "caption" : "基本信息",
              "codeName" : "formpage1",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "memo" : "抽屉编辑",
              "name" : "formpage1",
              "getPSDEFormDetails" : [ {
                "actionGroupExtractMode" : "ITEM",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.GROUPPANEL.GROUP1"
                },
                "caption" : "测试实体基本信息",
                "codeName" : "group1",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "group1",
                "getPSDEFormDetails" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.TESTNAME"
                  },
                  "caption" : "测试实体名称",
                  "codeName" : "testname",
                  "createDV" : "新建默认值",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "testname",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "TESTNAME",
                    "codeName" : "TESTName"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 50,
                    "minLength" : 3,
                    "name" : "testname"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "updateDV" : "testname",
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.TYPE"
                  },
                  "caption" : "类型",
                  "codeName" : "type",
                  "createDV" : "A",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "dynaClass" : "[data.type === 'A' ? 'bg-red' : 'bg-blue']",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "type",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "TYPE",
                    "codeName" : "Type"
                  },
                  "getPSDEFormItemUpdate" : {
                    "modelref" : true,
                    "id" : "ceshi1"
                  },
                  "getPSEditor" : {
                    "editorType" : "DROPDOWNLIST",
                    "name" : "type",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__Rank.json"
                    },
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "updateDV" : "B",
                  "allowEmpty" : true,
                  "needCodeListConfig" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD17"
                  },
                  "caption" : "属性17",
                  "codeName" : "field17",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field17",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD17",
                    "codeName" : "FIELD17"
                  },
                  "getPSEditor" : {
                    "editorType" : "RADIOBUTTONLIST",
                    "name" : "field17",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__UsrCodeList0411260431.json"
                    }
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "needCodeListConfig" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD23"
                  },
                  "caption" : "属性23",
                  "codeName" : "field23",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field23",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD23",
                    "codeName" : "FIELD23"
                  },
                  "getPSEditor" : {
                    "editorType" : "DROPDOWNLIST",
                    "name" : "field23",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__UsrCodeList0411260431.json"
                    },
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "needCodeListConfig" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.AMOUNT"
                  },
                  "caption" : "金额",
                  "codeName" : "amount",
                  "dataType" : 6,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "amount",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "AMOUNT",
                    "codeName" : "Amount"
                  },
                  "getPSDEFormItemUpdate" : {
                    "modelref" : true,
                    "id" : "ceshi2"
                  },
                  "getPSEditor" : {
                    "editorParams" : {
                      "SRFNAVPARAM.foo" : "%bar%"
                    },
                    "editorType" : "NUMBER",
                    "maxValue" : 10000.0,
                    "minValue" : 19.0,
                    "name" : "amount",
                    "getPSNavigateParams" : [ {
                      "key" : "foo",
                      "name" : "foo",
                      "value" : "bar",
                      "rawValue" : false
                    } ],
                    "precision" : 2
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "unitName" : "元",
                  "valueFormat" : "YYYY-MM",
                  "allowEmpty" : true,
                  "enableUnitName" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FLOAT"
                  },
                  "caption" : "浮点数",
                  "codeName" : "float",
                  "dataType" : 7,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "float",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FLOAT",
                    "codeName" : "Float"
                  },
                  "getPSEditor" : {
                    "editorType" : "NUMBER",
                    "name" : "float",
                    "precision" : 2
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.PRECISION"
                  },
                  "caption" : "精度",
                  "codeName" : "precision",
                  "dataType" : 7,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "precision",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FLOAT",
                    "codeName" : "Float"
                  },
                  "getPSEditor" : {
                    "editorParams" : {
                      "precision" : "4"
                    },
                    "editorType" : "NUMBER",
                    "name" : "precision",
                    "placeHolder" : "编辑器参数控制精度",
                    "precision" : 4
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FORMITEM1"
                  },
                  "caption" : "运行时代码表",
                  "codeName" : "formitem1",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem1",
                  "noPrivDisplayMode" : 1,
                  "getPSEditor" : {
                    "editorType" : "DROPDOWNLIST",
                    "name" : "formitem1",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Runtime1.json"
                    },
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "needCodeListConfig" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD"
                  },
                  "caption" : "更多显示",
                  "codeName" : "field",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD",
                    "codeName" : "Field"
                  },
                  "getPSDEFDGroupLogics" : [ {
                    "groupOP" : "AND",
                    "logicCat" : "PANELVISIBLE",
                    "logicType" : "GROUP",
                    "getPSDEFDLogics" : [ {
                      "groupOP" : "AND",
                      "logicType" : "GROUP",
                      "name" : "逻辑分组",
                      "getPSDEFDLogics" : [ {
                        "condOP" : "EQ",
                        "dEFDName" : "testname",
                        "logicType" : "SINGLE"
                      } ],
                      "notMode" : false
                    }, {
                      "groupOP" : "OR",
                      "logicType" : "GROUP",
                      "getPSDEFDLogics" : [ {
                        "condOP" : "NOTEQ",
                        "dEFDName" : "field10",
                        "logicType" : "SINGLE",
                        "value" : "ddd"
                      } ],
                      "notMode" : false
                    } ],
                    "relatedDetailNames" : [ "testname", "field10" ],
                    "notMode" : false
                  }, {
                    "groupOP" : "AND",
                    "logicCat" : "ITEMBLANK",
                    "logicType" : "GROUP",
                    "getPSDEFDLogics" : [ {
                      "condOP" : "EQ",
                      "dEFDName" : "field2",
                      "logicType" : "SINGLE"
                    }, {
                      "condOP" : "EQ",
                      "dEFDName" : "field11",
                      "logicType" : "SINGLE"
                    } ],
                    "relatedDetailNames" : [ "field2", "field11" ],
                    "notMode" : false
                  }, {
                    "groupOP" : "AND",
                    "logicCat" : "ITEMENABLE",
                    "logicType" : "GROUP",
                    "getPSDEFDLogics" : [ {
                      "condOP" : "EQ",
                      "dEFDName" : "testname",
                      "logicType" : "SINGLE"
                    } ],
                    "relatedDetailNames" : [ "testname" ],
                    "notMode" : false
                  } ],
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "getShowMoreMgrPSDEFormDetail" : {
                    "modelref" : true,
                    "id" : "group1"
                  },
                  "showMoreMode" : 1,
                  "allowEmpty" : false,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FORMITEM4"
                  },
                  "caption" : "图片",
                  "codeName" : "formitem4",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem4",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD10",
                    "codeName" : "Field10"
                  },
                  "getPSEditor" : {
                    "editorType" : "PICTURE",
                    "maxFileCount" : -1,
                    "maxFileSize" : -1,
                    "minFileCount" : 0,
                    "name" : "formitem4"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.FIELD11"
                  },
                  "caption" : "密码",
                  "codeName" : "formitem5",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem5",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD11",
                    "codeName" : "Field11"
                  },
                  "getPSEditor" : {
                    "editorParams" : {
                      "enableEncryption" : "true"
                    },
                    "editorType" : "PASSWORD",
                    "maxLength" : 100,
                    "name" : "formitem5"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.FIELD8"
                  },
                  "caption" : "图片",
                  "codeName" : "field8",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field8",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD8",
                    "codeName" : "Field8"
                  },
                  "getPSEditor" : {
                    "editorStyle" : "EMOJI_PICKER",
                    "editorType" : "DROPDOWNLIST",
                    "name" : "field8",
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "needCodeListConfig" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColMD" : 24,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSUIActionGroup" : {
                  "codeName" : "A6913ed9bd0c3e7d614",
                  "name" : "树表节点行为组",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "getPSUIActionGroupDetails" : [ {
                    "buttonStyle" : "WARNING",
                    "caption" : "百度",
                    "detailType" : "DEUIACTION",
                    "name" : "u5ee2086",
                    "getPSSysImage" : {
                      "glyph" : "xf00c@FontAwesome",
                      "cssClass" : "fa fa-check"
                    },
                    "getPSUIAction" : {
                      "actionTarget" : "NONE",
                      "buttonStyle" : "WARNING",
                      "caption" : "百度",
                      "codeName" : "openBaidu",
                      "counterId" : "openBaidu",
                      "frontProcessType" : "OPENHTMLPAGE",
                      "fullCodeName" : "openBaidu",
                      "htmlPageUrl" : "https://www.baidu.com/",
                      "name" : "百度_警告样式",
                      "getPSAppCounter" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                      },
                      "uIActionMode" : "FRONT",
                      "uIActionTag" : "openBaidu",
                      "uIActionType" : "DEUIACTION"
                    },
                    "addSeparator" : true,
                    "showCaption" : true,
                    "showIcon" : true
                  }, {
                    "buttonStyle" : "DANGER",
                    "getCapPSLanguageRes" : {
                      "lanResTag" : "TBB.TEXT.*.EDIT"
                    },
                    "caption" : "编辑",
                    "detailType" : "DEUIACTION",
                    "name" : "u1feafb4",
                    "getPSUIAction" : {
                      "actionTarget" : "SINGLEKEY",
                      "buttonStyle" : "DANGER",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.EDIT"
                      },
                      "caption" : "编辑",
                      "codeName" : "Edit",
                      "fullCodeName" : "Edit",
                      "name" : "表格界面_编辑操作_危险样式",
                      "getPSSysImage" : {
                        "glyph" : "xf044@FontAwesome",
                        "cssClass" : "fa fa-edit"
                      },
                      "predefinedType" : "GRIDVIEW_EDITACTION",
                      "timeout" : 60000,
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                      },
                      "uIActionMode" : "SYS",
                      "uIActionTag" : "Edit",
                      "uIActionType" : "DEUIACTION"
                    },
                    "getTooltipPSLanguageRes" : {
                      "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                    },
                    "addSeparator" : true,
                    "showCaption" : true,
                    "showIcon" : false
                  }, {
                    "getCapPSLanguageRes" : {
                      "lanResTag" : "TBB.TEXT.*.REMOVE"
                    },
                    "caption" : "删除",
                    "detailType" : "DEUIACTION",
                    "name" : "u4c6267d",
                    "getPSSysImage" : {
                      "cssClass" : "fa-solid fa-delete-left"
                    },
                    "getPSUIAction" : {
                      "actionTarget" : "MULTIKEY",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.REMOVE"
                      },
                      "caption" : "删除",
                      "codeName" : "Remove",
                      "fullCodeName" : "Remove",
                      "name" : "表格界面_删除操作",
                      "getPSSysImage" : {
                        "glyph" : "xf00d@FontAwesome",
                        "cssClass" : "fa fa-remove"
                      },
                      "predefinedType" : "GRIDVIEW_REMOVEACTION",
                      "timeout" : 60000,
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                      },
                      "uIActionMode" : "SYS",
                      "uIActionTag" : "Remove",
                      "uIActionType" : "DEUIACTION"
                    },
                    "getTooltipPSLanguageRes" : {
                      "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                    },
                    "addSeparator" : true,
                    "showCaption" : true,
                    "showIcon" : true
                  } ],
                  "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
                },
                "showMoreMode" : 2,
                "infoGroupMode" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.GROUPPANEL.GROUPPANEL1"
                },
                "caption" : "启用条件测试",
                "codeName" : "grouppanel1",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "grouppanel1",
                "getPSDEFormDetails" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD11"
                  },
                  "caption" : "无",
                  "codeName" : "field11",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 0,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field11",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD11",
                    "codeName" : "Field11"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field11"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 6,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD12"
                  },
                  "caption" : "不配置",
                  "codeName" : "field12",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "fieldName" : "books",
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field12",
                  "noPrivDisplayMode" : 1,
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "name" : "field12"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 6,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD3"
                  },
                  "caption" : "建立",
                  "codeName" : "field3",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 1,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field3",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD3",
                    "codeName" : "Field3"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field3"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 6,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FIELD4"
                  },
                  "caption" : "更新",
                  "codeName" : "field4",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 2,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field4",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD4",
                    "codeName" : "Field4"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field4"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 6,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.FIELD5"
                  },
                  "caption" : "属性5",
                  "codeName" : "field5",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field5",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD5",
                    "codeName" : "Field5"
                  },
                  "getPSEditor" : {
                    "editorParams" : {
                      "AC" : "TRUE",
                      "PICKUPVIEW" : "TRUE"
                    },
                    "editorType" : "PICKER",
                    "handlerType" : "PickupText",
                    "name" : "field5",
                    "enableAC" : true,
                    "enablePickupView" : true,
                    "forceSelection" : true,
                    "showTrigger" : true,
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 6,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColMD" : 24,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "infoGroupMode" : false,
                "showCaption" : true
              }, {
                "codeName" : "grouppanel2",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "grouppanel2",
                "getPSDEFormDetails" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.NUMBER1"
                  },
                  "caption" : "数值1",
                  "codeName" : "number1",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "number1",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "NUMBER1",
                    "codeName" : "Number1"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "number1"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 12,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.NUMBER4"
                  },
                  "caption" : "数值4",
                  "codeName" : "number4",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "number4",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "NUMBER4",
                    "codeName" : "Number4"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "number4"
                  },
                  "getPSLayoutPos" : {
                    "colLG" : 12,
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColMD" : 24,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "infoGroupMode" : false,
                "showCaption" : false
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.TESTID"
                },
                "caption" : "测试实体标识",
                "codeName" : "testid",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "testid",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "TESTID",
                  "codeName" : "TESTId"
                },
                "getPSEditor" : {
                  "editorType" : "HIDDEN",
                  "name" : "testid"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "hidden" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMPAGE.FORMPAGE2"
              },
              "caption" : "分页2",
              "codeName" : "formpage2",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "name" : "formpage2",
              "getPSDEFormDetails" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.GROUPPANEL.GROUP2"
                },
                "caption" : "分组二",
                "codeName" : "group2",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "group2",
                "getPSDEFormDetails" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.UPDATEMAN"
                  },
                  "caption" : "更新人",
                  "codeName" : "updateman",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 3,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "updateman",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "UPDATEMAN",
                    "codeName" : "UpdateMan"
                  },
                  "getPSEditor" : {
                    "editorType" : "SPAN",
                    "name" : "updateman",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                    },
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "getPSSysCss" : {
                    "cssName" : "bg-blue"
                  },
                  "allowEmpty" : true,
                  "convertToCodeItemText" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.UPDATEDATE"
                  },
                  "caption" : "更新时间",
                  "codeName" : "updatedate",
                  "dataType" : 5,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 3,
                  "itemWidth" : 230.0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "updatedate",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "UPDATEDATE",
                    "codeName" : "UpdateDate"
                  },
                  "getPSEditor" : {
                    "dateTimeFormat" : "YYYY-MM-DD",
                    "editorParams" : {
                      "TIMEFMT" : "YYYY-MM-DD"
                    },
                    "editorType" : "DATEPICKEREX_NOTIME",
                    "editorWidth" : 100.0,
                    "name" : "updatedate"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "getPSSysCss" : {
                    "cssName" : "bg-red"
                  },
                  "valueFormat" : "YYYY-MM",
                  "allowEmpty" : false,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.CREATEDATE"
                  },
                  "caption" : "建立时间",
                  "codeName" : "createdate",
                  "dataType" : 5,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 3,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "createdate",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "CREATEDATE",
                    "codeName" : "CreateDate"
                  },
                  "getPSEditor" : {
                    "editorType" : "SPAN",
                    "name" : "createdate",
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DEF.LNAME.CREATEMAN"
                  },
                  "caption" : "建立人",
                  "codeName" : "createman",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 3,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "createman",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "CREATEMAN",
                    "codeName" : "CreateMan"
                  },
                  "getPSEditor" : {
                    "editorType" : "SPAN",
                    "name" : "createman",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                    },
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "convertToCodeItemText" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FORMITEM"
                  },
                  "caption" : "数据选择",
                  "codeName" : "formitem",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem",
                  "noPrivDisplayMode" : 1,
                  "getPSEditor" : {
                    "editorParams" : {
                      "AC" : "TRUE",
                      "PICKUPVIEW" : "TRUE"
                    },
                    "editorType" : "PICKER",
                    "name" : "formitem",
                    "getPSAppDEACMode" : {
                      "modelref" : true,
                      "id" : "Default2"
                    },
                    "getPSAppDEDataSet" : {
                      "modelref" : true,
                      "id" : "FetchDefault"
                    },
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                    },
                    "getPSUIActionGroup" : {
                      "codeName" : "Usr1220848521",
                      "name" : "数据选择自定义下拉",
                      "getPSUIActionGroupDetails" : [ {
                        "buttonStyle" : "WARNING",
                        "caption" : "百度",
                        "detailType" : "DEUIACTION",
                        "name" : "ub691ff0",
                        "getPSUIAction" : {
                          "actionTarget" : "NONE",
                          "buttonStyle" : "WARNING",
                          "caption" : "百度",
                          "codeName" : "openBaidu",
                          "counterId" : "openBaidu",
                          "frontProcessType" : "OPENHTMLPAGE",
                          "fullCodeName" : "openBaidu",
                          "htmlPageUrl" : "https://www.baidu.com/",
                          "name" : "百度_警告样式",
                          "getPSAppCounter" : {
                            "modelref" : true,
                            "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                          },
                          "uIActionMode" : "FRONT",
                          "uIActionTag" : "openBaidu",
                          "uIActionType" : "DEUIACTION"
                        },
                        "addSeparator" : false,
                        "showCaption" : true,
                        "showIcon" : true
                      }, {
                        "caption" : "刷新",
                        "detailType" : "DEUIACTION",
                        "name" : "ucb9ae6a",
                        "getPSSysImage" : {
                          "glyph" : "xf021@FontAwesome",
                          "cssClass" : "fa fa-refresh"
                        },
                        "getPSUIAction" : {
                          "actionTarget" : "SINGLEKEY",
                          "caption" : "刷新",
                          "codeName" : "Refresh",
                          "fullCodeName" : "Refresh",
                          "name" : "编辑界面_刷新操作",
                          "getPSSysImage" : {
                            "glyph" : "xf021@FontAwesome",
                            "cssClass" : "fa fa-refresh"
                          },
                          "predefinedType" : "EDITVIEW_REFRESHACTION",
                          "timeout" : 60000,
                          "uIActionMode" : "SYS",
                          "uIActionTag" : "Refresh",
                          "uIActionType" : "DEUIACTION"
                        },
                        "addSeparator" : false,
                        "showCaption" : true,
                        "showIcon" : true
                      }, {
                        "caption" : "登录",
                        "detailType" : "DEUIACTION",
                        "name" : "u0b8387f",
                        "getPSUIAction" : {
                          "caption" : "登录",
                          "codeName" : "Login",
                          "fullCodeName" : "Login",
                          "name" : "应用登录",
                          "predefinedType" : "APP_LOGIN",
                          "timeout" : 60000,
                          "uIActionMode" : "SYS",
                          "uIActionTag" : "Login",
                          "uIActionType" : "DEUIACTION"
                        },
                        "addSeparator" : false,
                        "showCaption" : true,
                        "showIcon" : true
                      } ]
                    },
                    "enableAC" : true,
                    "enablePickupView" : true,
                    "forceSelection" : true,
                    "showTrigger" : true,
                    "singleSelect" : true
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FORMITEM2"
                  },
                  "caption" : "更新人快速复制",
                  "codeName" : "formitem2",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 3,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem2",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "UPDATEMAN",
                    "codeName" : "UpdateMan"
                  },
                  "getPSEditor" : {
                    "editorStyle" : "CLIP_BOARD_SPAN",
                    "editorType" : "SPAN",
                    "name" : "formitem2",
                    "getPSAppCodeList" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                    },
                    "getPSSysPFPlugin" : {
                      "pluginType" : "EDITOR_CUSTOMSTYLE",
                      "pluginCode" : "CLIP_BOARD_SPAN",
                      "runtimeObject" : true
                    },
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "convertToCodeItemText" : true,
                  "showCaption" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "CONTROL.DEFORM.TEST.MAIN.FORMITEM.FORMITEM3"
                  },
                  "caption" : "更新事件快速复制",
                  "codeName" : "formitem3",
                  "dataType" : 5,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "formitem3",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "UPDATEDATE",
                    "codeName" : "UpdateDate"
                  },
                  "getPSEditor" : {
                    "editorStyle" : "CLIP_BOARD_SPAN",
                    "editorType" : "SPAN",
                    "name" : "formitem3",
                    "getPSSysPFPlugin" : {
                      "pluginType" : "EDITOR_CUSTOMSTYLE",
                      "pluginCode" : "CLIP_BOARD_SPAN",
                      "runtimeObject" : true
                    },
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                  "allowEmpty" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColMD" : 24,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "infoGroupMode" : false,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColMD" : 24,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            } ],
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getRemovePSControlAction" : {
              "modelref" : true,
              "id" : "remove",
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "tabHeaderPos" : "TOP",
            "getUpdatePSControlAction" : {
              "modelref" : true,
              "id" : "update",
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "noTabHeader" : false,
            "name" : "mdctrl1_form",
            "modelid" : "81c663b87e269ec6313a4590835229af",
            "modeltype" : "PSDEFORM_EDITFORM"
          },
          "contentType" : "FORM",
          "ctrlParams" : {
            "triggerMode" : "input"
          },
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl1",
          "getPSAppDEField" : {
            "name" : "FIELD9",
            "codeName" : "Field9"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSUIActionGroup" : {
            "codeName" : "A5361ee1e9db0542714",
            "name" : "book界面行为组",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSUIActionGroupDetails" : [ {
              "caption" : "权限删",
              "detailType" : "DEUIACTION",
              "name" : "uf83353d",
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "noPrivDisplayMode" : 1,
                "caption" : "权限删",
                "codeName" : "PermissionDelete",
                "dataAccessAction" : "DELETE",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "Book_PermissionDelete",
                "name" : "权限删",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "getPSDEOPPriv" : {
                  "modelref" : true,
                  "id" : "DELETE"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "PermissionDelete",
                "uIActionType" : "DEUIACTION",
                "id" : "PermissionDelete@Book"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "权限统一资源",
              "detailType" : "DEUIACTION",
              "name" : "u6408043",
              "getPSUIAction" : {
                "actionTarget" : "SINGLEDATA",
                "caption" : "权限统一资源",
                "codeName" : "PermissionRes",
                "dataAccessAction" : "SRFUR__MODULE_ONE",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "Book_PermissionRes",
                "name" : "权限统一资源",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "getPSDEOPPriv" : {
                  "modelref" : true,
                  "id" : "SRFUR__MODULE_ONE"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "PermissionRes",
                "uIActionType" : "DEUIACTION",
                "id" : "PermissionRes@Book"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "权限改",
              "detailType" : "DEUIACTION",
              "name" : "u1970319",
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "权限改",
                "codeName" : "PermissionUpdate",
                "dataAccessAction" : "UPDATE",
                "frontProcessType" : "OTHER",
                "fullCodeName" : "Book_PermissionUpdate",
                "name" : "权限改",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "getPSDEOPPriv" : {
                  "modelref" : true,
                  "id" : "UPDATE"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "PermissionUpdate",
                "uIActionType" : "DEUIACTION",
                "id" : "PermissionUpdate@Book"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            } ],
            "uniqueTag" : "Book__A5361ee1e9db0542714"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "buildInActions" : 7,
          "caption" : "测试多数据部件(表格)",
          "codeName" : "mdctrl2",
          "getContentPSControl" : {
            "aggMode" : "NONE",
            "codeName" : "Main",
            "columnEnableFilter" : 2,
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "getCreatePSControlAction" : {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType/PSGRIDS/Main.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch",
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "getGetDraftPSControlAction" : {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "getGetPSControlAction" : {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "groupMode" : "NONE",
            "logicName" : "主表格",
            "getNavPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BookTypeEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              }, {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FetchDefault"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "组织机构标识",
              "codeName" : "orgid",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "orgid",
              "excelCaption" : "组织机构标识",
              "name" : "orgid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "ORGID",
                "codeName" : "OrgId"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "书籍类别名称",
              "codeName" : "booktypename",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "booktypename",
              "excelCaption" : "书籍类别名称",
              "name" : "booktypename",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKTYPENAME",
                "codeName" : "BookTypeName"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "组织部门标识",
              "codeName" : "deptid",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "deptid",
              "excelCaption" : "组织部门标识",
              "name" : "deptid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "DEPTID",
                "codeName" : "DeptId"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "书籍类别标识",
              "codeName" : "booktypeid",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "booktypeid",
              "excelCaption" : "书籍类别标识",
              "name" : "booktypeid",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKTYPEID",
                "codeName" : "BookTypeId"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "更新人",
              "codeName" : "updateman",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updateman",
              "excelCaption" : "更新人",
              "name" : "updateman",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "更新时间",
              "codeName" : "updatedate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updatedate",
              "excelCaption" : "更新时间",
              "name" : "updatedate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "建立人",
              "codeName" : "createman",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "createman",
              "excelCaption" : "建立人",
              "name" : "createman",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "getPSAppDEField" : {
                "name" : "CREATEMAN",
                "codeName" : "CreateMan"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "建立时间",
              "codeName" : "createdate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "createdate",
              "excelCaption" : "建立时间",
              "name" : "createdate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "orgid",
              "getPSAppDEField" : {
                "name" : "ORGID",
                "codeName" : "OrgId"
              }
            }, {
              "dataType" : 25,
              "name" : "booktypename",
              "getPSAppDEField" : {
                "name" : "BOOKTYPENAME",
                "codeName" : "BookTypeName"
              }
            }, {
              "dataType" : 25,
              "name" : "deptid",
              "getPSAppDEField" : {
                "name" : "DEPTID",
                "codeName" : "DeptId"
              }
            }, {
              "dataType" : 25,
              "name" : "booktypeid",
              "getPSAppDEField" : {
                "name" : "BOOKTYPEID",
                "codeName" : "BookTypeId"
              }
            }, {
              "dataType" : 25,
              "name" : "updateman",
              "getPSAppDEField" : {
                "name" : "UPDATEMAN",
                "codeName" : "UpdateMan"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "updatedate",
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "dataType" : 25,
              "name" : "createman",
              "getPSAppDEField" : {
                "name" : "CREATEMAN",
                "codeName" : "CreateMan"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "createdate",
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "BOOKTYPEID",
                "codeName" : "BookTypeId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "BOOKTYPEID",
                "codeName" : "BookTypeId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "pbooktypeid2",
              "getPSAppDEField" : {
                "name" : "PBOOKTYPEID2",
                "codeName" : "Pbooktypeid2"
              }
            }, {
              "dataType" : 25,
              "name" : "pbooktypeid3",
              "getPSAppDEField" : {
                "name" : "PBOOKTYPEID3",
                "codeName" : "Pbooktypeid3"
              }
            }, {
              "dataType" : 25,
              "name" : "pbooktypeid4",
              "getPSAppDEField" : {
                "name" : "PBOOKTYPEID4",
                "codeName" : "Pbooktypeid4"
              }
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "BOOKTYPENAME",
                "codeName" : "BookTypeName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "组织机构标识",
              "codeName" : "orgid",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "orgid",
              "getPSAppDEField" : {
                "name" : "ORGID",
                "codeName" : "OrgId"
              },
              "getPSEditor" : {
                "editorType" : "TEXTAREA",
                "maxLength" : 60,
                "name" : "orgid",
                "showMaxLength" : true
              },
              "allowEmpty" : true
            }, {
              "caption" : "书籍类别名称",
              "codeName" : "booktypename",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "booktypename",
              "getPSAppDEField" : {
                "name" : "BOOKTYPENAME",
                "codeName" : "BookTypeName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 200,
                "name" : "booktypename"
              },
              "allowEmpty" : true
            }, {
              "caption" : "书籍类别标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "BOOKTYPEID",
                "codeName" : "BookTypeId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingMode" : 1,
            "pagingSize" : 20,
            "getRemovePSControlAction" : {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "sortMode" : "REMOTE",
            "getUpdatePSControlAction" : {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookType.json"
              }
            },
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : true,
            "enableRowEdit" : true,
            "enableRowEditOrder" : false,
            "enableRowNew" : true,
            "forceFit" : false,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "mdctrl2_grid",
            "modelid" : "681aab4344a448cec778072c5ca0b1dd",
            "modeltype" : "PSDEGRID"
          },
          "contentType" : "GRID",
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl2",
          "getPSAppDEField" : {
            "name" : "FIELD11",
            "codeName" : "Field11"
          },
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "书标识",
        "codeName" : "bookid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "bookid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "bookid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "1F0FB511-7FF2-4A75-857A-4304385DDAE1",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "Usr0526356960EditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "书实体编辑视图（测试多数据部件）",
    "codeName" : "Usr0526356960EditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr0526356960EditView",
  "getPSDEViewId" : "9B28F012-142E-4CC3-BF07-BAFDA3CDA562",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr0614812802",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "Usr0526356960EditViewDEEDITVIEW",
    "memo" : "编辑视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 6,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "view_pagecaption",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "view_pagecaption",
              "predefinedType" : "VIEW_PAGECAPTION",
              "renderMode" : "HEADING1",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "hAlignSelf" : "LEFT",
              "heightMode" : "FULL",
              "layout" : "TABLE_24COL",
              "widthMode" : "FULL"
            }
          } ]
        }, {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_2",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "TOOLBAR",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "hAlignSelf" : "RIGHT",
              "heightMode" : "FULL",
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      }, {
        "caption" : "容器",
        "contentHeight" : 100.0,
        "height" : 100.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container3",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 100,
          "heightMode" : "PERCENTAGE",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "表单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "form",
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "showCaption" : true
        }, {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container",
          "getPSLayout" : {
            "align" : "center",
            "dir" : "row",
            "layout" : "FLEX",
            "vAlign" : "center"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "actionType" : "UIACTION",
            "buttonStyle" : "DEFAULT",
            "caption" : "确定",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "button_okaction",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "layoutpanel_button_okaction"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSUIAction" : {
              "caption" : "确定",
              "codeName" : "Ok",
              "fullCodeName" : "Ok",
              "name" : "视图_确定",
              "predefinedType" : "VIEW_OKACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Ok",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "确定",
            "showCaption" : true
          }, {
            "actionType" : "UIACTION",
            "buttonStyle" : "DEFAULT",
            "caption" : "取消",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "button_cancelaction",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "layoutpanel_button_cancelaction"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSUIAction" : {
              "caption" : "取消",
              "codeName" : "Cancel",
              "fullCodeName" : "Cancel",
              "name" : "视图_取消",
              "predefinedType" : "VIEW_CANCELACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Cancel",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "取消",
            "showCaption" : true
          }, {
            "actionType" : "UIACTION",
            "buttonStyle" : "DEFAULT",
            "caption" : "建立数据",
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "button_createobject",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "layoutpanel_button_createobject"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "getPSUIAction" : {
              "caption" : "建立数据",
              "codeName" : "CreateObject",
              "fullCodeName" : "CreateObject",
              "name" : "建立数据",
              "predefinedType" : "DATA_CREATEOBJECT",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "CreateObject",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "建立数据",
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER"
      } ],
      "predefinedType" : "CONTAINER"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "93F9FEBA-1971-4A44-BAA9-F2DD97195F4A",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "书实体编辑视图（测试多数据部件）",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "87AC2D82-EB23-4471-B007-24324ECC9956",
  "modeltype" : "PSAPPDEVIEW"
}